package viewer;

/**
 * Interface for reporting calculation results
 */
public interface ICalcReport {
    /**
     * Calculations have started status
     */
    public static final int STATUS_STARTED = 0;

    /**
     * Done preprocessing status
     */
    public static final int STATUS_PREPROC = 1;

    /**
     * Calculations completed status
     */
    public static final int STATUS_FINISHED = 2;

    /**
     * Calculations aborted status
     */
    public static final int STATUS_ABORTED = 3;

    /**
     * Status change report
     * @param status New status
     */
    public void StatusChange(int status);

    /**
     * Step data for newly calculated step
     * @param stepData Data for the step
     */
    public void StepDone(StepData stepData);

    /**
     * Check for abort
     * @return true if abort is needed, false otherwise
     */
    public boolean isAborted();
}