package viewer;

/**
 * Class containing the information about the network properties.
 */
public class NetworkProperties {
    /**
     * Number of active computer in each layer
     */
    public int activeComputers;

    /**
     * Number of layers in the network.
     */
    public int numberOfLayers;

    /**
     *
     */
    public float nodesThreshold;

    /**
     *
     */
    public float edgesThreshold;

    /**
     * Constructor
     * @param nodes
     * @param hops
     * @param nodeTreshold
     * @param edgeTreshold
     */
    public NetworkProperties(int nodes, int hops, float nodeTreshold, float edgeTreshold) {
        activeComputers = nodes;
        numberOfLayers = hops;
        this.nodesThreshold = nodeTreshold;
        this.edgesThreshold = edgeTreshold;
    }

    /**
     * Default constructor.
     */
    public NetworkProperties() {
        this(0, 0, 0, 0);
    }

    /**
     * Function that check if the NetworkProperties are valid.
     * @return false is the networkProprties is not valid else return true.
     */
    public boolean isValid() {
        if (numberOfLayers < 0 || activeComputers < 0)
            return false;
        if (nodesThreshold < 0 || nodesThreshold > 1)
            return false;
        if (edgesThreshold < 0 || edgesThreshold > 1)
            return false;
        return true;
    }
}