package viewer;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Class that implement the Progress bar that keep track of the calcolation that
 * are been made.
 */
public class ProgressBar extends JFrame {
    private JProgressBar bar;
    private JTextField tf = new JTextField("Started");

    private int maxValue;
    private int value;

    /**
     * Constructor.
     * @param hops
     */
    public ProgressBar(int hops) {
        super("Calculations Progress");
        maxValue = hops;
        value = 0;
        Container c = getContentPane();
        bar = new JProgressBar(SwingConstants.HORIZONTAL, 0, maxValue);

        c.add(tf, BorderLayout.NORTH);
        c.add(bar, BorderLayout.CENTER);

        setSize(200, 100);
        show();
    }

    public String getNote() {
        return tf.getText();
    }

    public void setNote(String note) {
        tf.setText(note);
        this.paint(this.getGraphics());
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
        bar.setValue(value);
        this.paint(this.getGraphics());
        bar.setStringPainted(true);
        bar.setString("Step " + value + " of " + maxValue);
        if (value == maxValue)
            hide();
    }
}