package viewer;

/**
 * Tester class for MathUnit
 */
public class Simulator {
    public static void main(String[] args) {
        if (args.length < 3) {
            System.out.println("Usage: Simulate <number_of_nodes> <path_length> <edge_treshold>");
            return;
        }

        int nodes = Integer.parseInt(args[0]);
        int depth = Integer.parseInt(args[1]);
        float treshold = Float.parseFloat(args[2]);
        boolean[][][] edges = new boolean[depth][nodes][nodes];

        int i, j, k;
        for (i = 0; i < depth; i++)
            for (j = 0; j < nodes; j++)
                for (k = 0; k < nodes; k++)
                    edges[i][j][k] = (Math.random() > treshold);

        NetData netdata = new NetData();
        netdata.edges = edges;
        netdata.nodesNum = nodes;
        netdata.depth = depth;
        ICalculations calcs = new MathUnit();
        calcs.StartCalculations(netdata);
        StepData sd;
        for (i = 0; i < depth; i++) {
            sd = calcs.GetStepData(i);
            System.out.println(sd.step);
            System.out.println(sd.permutations);
            System.out.println(sd.dist);
        }
    }
}